Bug 525789 - (CVE-2009-2816) CVE-2009-2816 WebKit, qt: MITM in the WebKit's Cross-Origin Resource Sharing (CORS) implementation
CVE-2009-2816 WebKit, qt: MITM in the WebKit's Cross-Origin Resource Sharing ...
Status: NEW
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,source=upstream,repor...
: Security
Depends On: 538235 549881 572756 572757 572758
Blocks:
  Show dependency treegraph
 
Reported: 2009-09-25 14:24 EDT by Jan Lieskovsky
Modified: 2010-03-11 17:53 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Jan Lieskovsky 2009-09-25 14:24:55 EDT
A security flaw was found in the WebKit's Cross-Origin Resource Sharing (CORS)
implementation. Quoting exact details from the WebKit advisory:

Before allowing a page from one origin to access a resource in another origin, WebKit sends a preflight request, to determine if the origin server for the resource being accessed will allow the resource to be shared. WebKit includes custom HTTP headers specified by the requesting page in the preflight request. This can result in unexpected actions being initiated on the cross-origin site
without user consent. This issue is addressed by dropping custom HTTP
headers from preflight requests.

Upstream bug:
-------------
https://bugs.webkit.org/show_bug.cgi?id=28446

Upstream patch:
---------------
http://trac.webkit.org/changeset/47494
Comment 1 Jan Lieskovsky 2009-09-25 14:52:45 EDT
This issue affects latest versions of WebKit package, as shipped with
Fedora release of 10 and 11 (WebKit-1.1.0-0.16.svn40351.fc10 and WebKit-1.1.1-1.fc11). 

This issue affects latest versions of qt package, as shipped with
Fedora release of 10 and 11 (qt-4.5.2-3.fc10 and qt-4.5.2-3.fc11).
Comment 5 Fedora Update System 2009-11-13 08:45:35 EST
qt-4.5.3-9.fc12 has been submitted as an update for Fedora 12.
http://admin.fedoraproject.org/updates/qt-4.5.3-9.fc12
Comment 6 Fedora Update System 2009-11-13 22:30:30 EST
qt-4.5.3-9.fc12 has been pushed to the Fedora 12 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 7 Fedora Update System 2009-11-13 22:30:48 EST
qt-4.5.3-9.fc10 has been pushed to the Fedora 10 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 8 Fedora Update System 2009-11-13 22:33:33 EST
qt-4.5.3-9.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.